;******************************************************************************
;(C) Copyright 2021 SuperDARN Canada, University of Saskatchewan
;
; Author: Pasha Ponomarenko (University of Saskatchewan)
;
; This program is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.
;
; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; For the GNU General Public License
; see <http://www.gnu.org/licenses/>.
;
; Modifications:
;
;******************************************************************************



;This is a supplementary code for fitacf2_3_comparison_2d.
;Please read instructions therein.


pro stat_arr_generate2d,$
  v_min=v_min, $
  v_max=v_max, $
  dv=dv, $
  w_min=w_min, $
  w_max=w_max, $
  dw=dw, $
  p_min=p_min, $
  p_max=p_max, $
  dp=dp, $
  e_min=e_min, $
  e_max=e_max, $
  de=de, $
  out_stat=out_stat


  n_v=round(v_max-v_min)/dv
  n_w=round(w_max-w_min)/dw
  n_p=round(p_max-p_min)/dp
  n_e=round(e_max-e_min)/de

  out_stat={$
    h_vv: lonarr(n_v,n_v), $
    h_ww: lonarr(n_w,n_w), $
    h_pp: lonarr(n_p,n_p), $
    h_p0p0: lonarr(n_p,n_p), $
   	h_ee: lonarr(n_e,n_e), $
    n_tot: long(0)$
  }

end